'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('babel-polyfill');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Client = function () {
  function Client(config) {
    _classCallCheck(this, Client);

    this.config = config;

    this.getClientProps();
    this.enableCSSInject();
  }

  _createClass(Client, [{
    key: 'getClientProps',
    value: function getClientProps() {
      try {
        var scriptsEl = document.getElementById('app-props');
        var props = scriptsEl ? scriptsEl.textContent : {};

        //  eslint-disable-next-line
        props = props.replace("<![CDATA[", "").replace("]]>", "");
        this.serverProps = JSON.parse(props);
      } catch (err) {
        throw new Error('Error parsing client props');
      }
    }
  }, {
    key: 'enableCSSInject',
    value: function enableCSSInject() {
      if (this.config.isDevEnvironment) {
        var head = document.head || document.getElementsByTagName('head')[0];
        var hotInlineStyles = document.createElement('style');
        hotInlineStyles.type = 'text/css';
        head.appendChild(hotInlineStyles);

        require('webpack-hot-middleware/client').subscribe(function (updateEvent) {
          if (updateEvent.type === 'css-update') {
            hotInlineStyles.textContent = '';
            hotInlineStyles.appendChild(document.createTextNode(updateEvent.value));
          }
        });
      }
    }
  }, {
    key: 'create',
    value: function create(callback) {
      var Root = this.config.root;


      (0, _reactDom.render)(_react2.default.createElement(
        _reactRouterDom.BrowserRouter,
        null,
        _react2.default.createElement(Root, this.serverProps)
      ), document.getElementById('root'));

      if (callback && typeof callback === 'function') {
        callback();
      }
    }
  }]);

  return Client;
}();

exports.default = Client;