'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (app, config) {
  return function (req, res, next) {
    var _app = app;
    var environmentVariables = config.environmentVariables;

    if (_app.locals.isTokenized) {
      next();
    } else {
      if (environmentVariables) {
        Object.keys(environmentVariables).forEach(function (key) {
          _app.locals.html = _app.locals.html.replace('\xA1' + key + '!', environmentVariables[key]);
        });
      }
      _app.locals.isTokenized = true;
      next();
    }
  };
};