'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getParamsFromUrl = require('./../getParamsFromUrl/getParamsFromUrl');

var _getParamsFromUrl2 = _interopRequireDefault(_getParamsFromUrl);

var _fetchInitialProps = require('./../fetchInitialProps/fetchInitialProps');

var _fetchInitialProps2 = _interopRequireDefault(_fetchInitialProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var hasInitialProps = function hasInitialProps(component) {
  return component.getInitialProps && typeof component.getInitialProps === 'function';
};

exports.default = function (component, path, pathname) {
  if (hasInitialProps(component)) {
    var urlParams = (0, _getParamsFromUrl2.default)(path, pathname);
    return (0, _fetchInitialProps2.default)(component.getInitialProps, urlParams);
  }
  return null;
};