import { expect } from 'chai';

import getRootString from './getRootString';

describe('getRootString', () => {
  it('should return a string', () => {
    const test = getRootString('rootComponent', { foo: 'bar' });
    expect(test).to.equal(
      `<script id='app-props' type='application/json'><![CDATA[${JSON.stringify({ foo: 'bar' })}]]></script><div id="root">rootComponent</div>`,
    );
  });
});
