'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _composeMiddleware = require('compose-middleware');

var _compiler = require('./compiler');

var _compiler2 = _interopRequireDefault(_compiler);

var _token = require('./token');

var _token2 = _interopRequireDefault(_token);

var _universal = require('./universal');

var _universal2 = _interopRequireDefault(_universal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var middleware = [_compiler2.default, _token2.default, _universal2.default];

exports.default = function (app, config) {
  return (0, _composeMiddleware.compose)(middleware.map(function (m) {
    return m(app, config);
  }));
};