'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _extractTextWebpackPlugin = require('extract-text-webpack-plugin');

var _extractTextWebpackPlugin2 = _interopRequireDefault(_extractTextWebpackPlugin);

var _defaultConfig = require('./../defaultConfig');

var _defaultConfig2 = _interopRequireDefault(_defaultConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

exports.default = function (_ref) {
  var _ref$localIdentName = _ref.localIdentName,
      localIdentName = _ref$localIdentName === undefined ? _defaultConfig2.default.localIdentName : _ref$localIdentName,
      _ref$babelLoaderConfi = _ref.babelLoaderConfig,
      babelLoaderConfig = _ref$babelLoaderConfi === undefined ? _defaultConfig2.default.babelLoaderConfig : _ref$babelLoaderConfi,
      _ref$fileLoaderConfig = _ref.fileLoaderConfig,
      fileLoaderConfig = _ref$fileLoaderConfig === undefined ? _defaultConfig2.default.fileLoaderConfig : _ref$fileLoaderConfig,
      _ref$postCssLoaderPlu = _ref.postCssLoaderPlugins,
      postCssLoaderPlugins = _ref$postCssLoaderPlu === undefined ? _defaultConfig2.default.postCssLoaderPlugins : _ref$postCssLoaderPlu;
  return [{
    test: /\.js?$/,
    exclude: /node_modules/,
    loader: 'babel-loader',
    options: _extends({}, babelLoaderConfig)
  }, {
    test: /\.(css|scss)?$/,
    exclude: /node_modules/,
    loader: _extractTextWebpackPlugin2.default.extract([{
      loader: 'css-loader',
      options: {
        modules: true,
        importLoaders: 1,
        localIdentName: localIdentName
      }
    }, {
      loader: 'postcss-loader',
      options: {
        plugins: [].concat(_toConsumableArray(postCssLoaderPlugins))
      }
    }])
  }, {
    test: /\.(png|svg)?$/,
    exclude: /node_modules/,
    use: {
      loader: 'file-loader',
      options: _extends({}, fileLoaderConfig)
    }
  }];
};